/*

 Copyright (C) 1990-1998 Mark Adler, Richard B. Wales, Jean-loup Gailly,
 Kai Uwe Rommel, Onno van der Linden, Igor Mandrichenko, Paul Kienitz and
 John Bush.
 Permission is granted to any individual or institution to use, copy, or
 redistribute this software so long as all of the original files are included,
 that it is not sold for profit, and that this copyright notice is retained.

*/

#ifndef __amiga_amiga_h
#define __amiga_amiga_h

/* amiga.h
 *
 * Globular definitions that affect all of AmigaDom.
 *
 * Originally included in unzip.h, extracted for simplicity and eeze of
 * maintenance by John Bush.
 *
 * This version is for use with Zip.  It is not globally included, but used
 * only by functions in amiga/amigazip.c.  Much material that was needed for
 * UnZip is absent here.
 *
 */

#include <fcntl.h>          /* O_BINARY for open() w/o CR/LF translation */
#include "amiga/z-stat.h"  /* substitute for <stat.h> and <dire(c|n)t.h> */
#define direct dirent

#ifndef MODERN
#  define MODERN
#endif

#ifdef AZTEC_C                          /* Manx Aztec C, 5.0 or newer only */
#  include <clib/dos_protos.h>
#  include <pragmas/dos_lib.h>          /* do inline dos.library calls */
#  define O_BINARY 0
#endif /* AZTEC_C */


#ifdef __SASC
#  include <dirent.h>
#  include <dos.h>
#  define disk_not_mounted 0
#  if ( (!defined(O_BINARY)) && defined(O_RAW))
#    define O_BINARY O_RAW
#  endif
#endif /* SASC */


/* Funkshine Prough Toe Taipes */

LONG FileDate (char *, time_t[]);

#endif /* __amiga_amiga_h */
