/*---------------------------------------------------------------------------

  ZipLib.h

  This header-files is global to the project ZipLib.

  ---------------------------------------------------------------------------*/



/*****************************************************************************/
/*  Macros, typedefs                                                         */
/*****************************************************************************/

#define MACOS
#define MACZIP

#define OLDROUTINENAMES     0           /* use new function names only */
#define OLDROUTINELOCATIONS 0           /* use new headerlocations only */
#define SystemSevenOrLater  1           /* Runs only on System 7.0 or later */

/* These functions are defined as a macro instead of a function.
so we have to undefine them for replacing (see printf.c)  */
#undef getc
#undef getchar
#undef putchar 
#undef putc

#ifndef ZCONST
#  define ZCONST const
#endif

#define NAME_MAX    1024


/*****************************************************************************/
/*  Includes standard headers                                                */
/*****************************************************************************/
#include <ansi_prefix.mac.h>
#include <stdio.h>
#include <TextUtils.h>
#include <Folders.h>
#include <Aliases.h>
#include <Resources.h>
#include <Gestalt.h>
#include <Traps.h>
#include <Processes.h>
#include <MacWindows.h>



/* Many things are different for mac-users, so we need 
   special mac functions :-)  */
int Zmacstat (const char *path, struct stat *buf);
#define stat(path, bufPtr) Zmacstat(path, bufPtr)
#define lstat(path, bufPtr) Zmacstat(path, bufPtr)

int fprintf(FILE *file, const char *format, ...);
int printf(const char *format, ...);
void perror(const char *parm1);


