#ifndef _MACGLOBAL_
#define _MACGLOBAL_

#include <time.h>

/*
all my Global vars are defined here.
*/

#define UnKnown_EF      0
#define JohnnyLee_EF    1
#define NewZipMode_EF   2

#define ResourceFork    -1
#define DataFork        1
#define NoFork          0

/*
all my Global vars are defined here.
*/
typedef struct {
    short       CurrentFork;
    short       MacZipMode;

    Boolean     isMacStatValid;
    Boolean     HaveGMToffset;

    short       TextEncodingBase;

    /* info about the current file */
    Boolean         isDirectory;
    char            FullPath[1024];
    char            FileName[257];
    FSSpec          fileSpec;

    long            dirID;
    CInfoPBRec      fpb;

    /* time infos about the current file */
    time_t          CreatDate;
    time_t          ModDate;
    time_t          BackDate;
    long            Cr_UTCoffs; /* offset "local time - UTC" for CreatDate */
    long            Md_UTCoffs; /* offset "local time - UTC" for ModDate */
    long            Bk_UTCoffs; /* offset "local time - UTC" for BackDate */

    /* some statistics over all*/
    unsigned long   FoundFiles;
    unsigned long   FoundDirectories;
    unsigned long   RawCountOfItems;
    unsigned long   BytesOfData;

    unsigned long   attrsize;

    /* some switches and user parameters */
    Boolean         DataForkOnly;
    Boolean         StoreFullPath;
    Boolean         StoreFoldersAlso;  /* internal switch is true if '-r' is set */
    unsigned short  SearchLevels;
    char            Pattern[257];
    Boolean         IncludeInvisible;
    Boolean         MacZip_Noisy;
    Boolean         StatingProgress;

    char            SearchDir[1024];
    char            CurrentPath[1024];

    /* current zip / tempzip file info */
    char            ZipFullPath[1024];

    FSSpec          ZipFileSpec;
    unsigned long   ZipFileType;
    char            TempZipFullPath[1024];
    FSSpec          TempZipFileSpec;

} MacZipGlobals;


#endif
